Package org.apache.ignite.internal.cache.query.index.sorted

## Class IndexKeyDefinition

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.IndexKeyDefinition

All Implemented Interfaces:
  `Externalizable`, `Serializable`

    public class IndexKeyDefinition
    extends Object
    implements Externalizable

Defines a signle index key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IndexKeyDefinition()`
`IndexKeyDefinition​(int idxTypeCode, Order order, long precision)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexKeyType` `idxType()`
`Order` `order()`
`int` `precision()`
`void` `readExternal​(ObjectInput in)`
`void` `writeExternal​(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexKeyDefinition

    public IndexKeyDefinition()

#### IndexKeyDefinition

    public IndexKeyDefinition​(int idxTypeCode,
                              Order order,
                              long precision)

### Method Detail

#### order

    public Order order()

#### idxType

    public IndexKeyType idxType()

#### precision

    public int precision()

#### writeExternal

    public void writeExternal​(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal​(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`